Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Interface QueryProcessor

All Superinterfaces:
  Loadable, Processor

All Known Implementing Classes:
  QueryProcessorCom, QueryProcessorRDQL

public interface QueryProcessor
extends Processor

Version:
  $Id: QueryProcessor.java,v 1.4 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary

Fields inherited from interface org.joseki.server.Processor
`ARGS_ONE, ARGS_ZERO, ARGS_ZERO_OR_ONE`

Method Summary
`com.hp.hpl.jena.rdf.model.Model` | `execQuery(ModelSource aModel, com.hp.hpl.jena.rdf.model.Model queryModel, Request request)`
`com.hp.hpl.jena.rdf.model.Model` | `execQuery(ModelSource aModel, java.lang.String queryString, Request request)` Map from short name for the query language (as used by GET dispatching) and the long URI.

Methods inherited from interface org.joseki.server.Processor
`argsNeeded, exec`

Methods inherited from interface org.joseki.server.module.Loadable
`getInterfaceURI, init`

Method Detail

### execQuery

    public com.hp.hpl.jena.rdf.model.Model execQuery(ModelSource aModel,
                                                     java.lang.String queryString,
                                                     Request request)
                                              throws com.hp.hpl.jena.rdf.model.RDFException,
                                                     QueryExecutionException

  Map from short name for the query language (as used by GET dispatching) and the long URI. String maps to String (not a URI object).

  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`
    `QueryExecutionException`

### execQuery

    public com.hp.hpl.jena.rdf.model.Model execQuery(ModelSource aModel,
                                                     com.hp.hpl.jena.rdf.model.Model queryModel,
                                                     Request request)
                                              throws com.hp.hpl.jena.rdf.model.RDFException,
                                                     QueryExecutionException

  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`
    `QueryExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.